Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# PointParticleRenderer Class Reference

Simple point/point particle renderer. More...

Inheritance diagram for PointParticleRenderer:

List of all members.

## Public Types
enum | PointParticleBlendType { PPONECOLOR = 0, PPBLENDLIFE = 1, PPBLENDVEL = 2 }
## Public Member Functions
| PointParticleRenderer (ParticleRendererAlphaMode ad, float point_size, PointParticleBlendType bt, ParticleRendererBlendMethod bm, VBase4 const sc, VBase4 const ec)
| PointParticleRenderer (ParticleRendererAlphaMode ad, float point_size, PointParticleBlendType bt, ParticleRendererBlendMethod bm, VBase4 const sc)
| PointParticleRenderer (ParticleRendererAlphaMode ad, float point_size, PointParticleBlendType bt)
| PointParticleRenderer (PointParticleRenderer const copy)
| Copy constructor.
| PointParticleRenderer (ParticleRendererAlphaMode ad, float point_size)
| PointParticleRenderer (ParticleRendererAlphaMode ad, float point_size, PointParticleBlendType bt, ParticleRendererBlendMethod bm)
| PointParticleRenderer (ParticleRendererAlphaMode ad)
| PointParticleRenderer ()
ParticleRendererBlendMethod | getBlendMethod ()
PointParticleBlendType | getBlendType ()
VBase4 const | getEndColor ()
float | getPointSize ()
VBase4 const | getStartColor ()
| setBlendMethod (ParticleRendererBlendMethod bm)
| setBlendType (PointParticleBlendType bt)
| setEndColor (VBase4 const ec)
| setPointSize (float point_size)
| setStartColor (VBase4 const sc)

## Detailed Description

Simple point/point particle renderer.

Does NOT handle billboards- use BillboardParticleRenderer for that.

## Member Enumeration Documentation

enum PointParticleBlendType

Enumerator:

  PPONECOLOR |
  PPBLENDLIFE |
  PPBLENDVEL |

## Constructor & Destructor Documentation

PointParticleRenderer | ( | ParticleRendererAlphaMode | ad,
|  | float | point_size,
|  | PointParticleBlendType | bt,
|  | ParticleRendererBlendMethod | bm,
|  | VBase4 const | sc,
|  | VBase4 const | ec
| ) |  |

PointParticleRenderer | ( | ParticleRendererAlphaMode | ad,
|  | float | point_size,
|  | PointParticleBlendType | bt,
|  | ParticleRendererBlendMethod | bm,
|  | VBase4 const | sc
| ) |  |

PointParticleRenderer | ( | ParticleRendererAlphaMode | ad,
|  | float | point_size,
|  | PointParticleBlendType | bt,
|  | ParticleRendererBlendMethod | bm
| ) |  |

PointParticleRenderer | ( | ParticleRendererAlphaMode | ad,
|  | float | point_size,
|  | PointParticleBlendType | bt
| ) |  |

PointParticleRenderer | ( | ParticleRendererAlphaMode | ad,
|  | float | point_size
| ) |  |

PointParticleRenderer | ( | ParticleRendererAlphaMode | ad | ) |

PointParticleRenderer | ( |  | ) |

PointParticleRenderer | ( | PointParticleRenderer const | copy | ) |

Copy constructor.

## Member Function Documentation

ParticleRendererBlendMethod getBlendMethod | ( |  | ) |

PointParticleBlendType getBlendType | ( |  | ) |

VBase4 const getEndColor | ( |  | ) |

float getPointSize | ( |  | ) |

VBase4 const getStartColor | ( |  | ) |

setBlendMethod | ( | ParticleRendererBlendMethod | bm | ) |

setBlendType | ( | PointParticleBlendType | bt | ) |

setEndColor | ( | VBase4 const | ec | ) |

setPointSize | ( | float | point_size | ) |

setStartColor | ( | VBase4 const | sc | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties